## revpi-sos-report 2.2.0

=== debian/changelog ===
revpi-sos-report (2.2.0-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Sven Sager <s.sager@kunbus.com>  Mon, 08 Dec 2025 11:29:53 +0100

revpi-sos-report (2.2.0-1+deb12+1) bookworm; urgency=medium

  [ Sven Sager ]
  * refactor: Fix typo in tar.gz extension

  [ Thomas Böhler ]
  * fix: also collect rotated logs
  * feat: list installed packages with version
  * feat: collect pibridge statistics

  [ Nicolai Buchwitz ]
  * feat: Add tty rx / tx counters to sos report

  [ Thomas Böhler ]
  * chore: update copyright dates
  * fix: actually use gzip compression for sos report
  * chore: avoid unnecessary information from sos
  * refactor: avoid redundant echo in revpi-sos
  * fix(revpi-sos): quote variable expansion
  * fix(revpi-sos): use grep -E for regex
  * doc(revpi-sos.1): no apostrophe for "its"

  [ Nicolai Buchwitz ]
  * feat: Collect factory reset information
  * feat: Collect network interface status

  [ Thomas Böhler ]
  * fix: disable size limit of logs

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 05 May 2025 09:53:07 +0200

revpi-sos-report (2.1.0-1+deb12+1) bookworm; urgency=medium

  [ Amar Jadhav ]
  * feat: Add new CODESYSControl configuration path

  [ Thomas Böhler ]
  * doc: rewrite man page with scdoc
  * doc: rewrite revpi-sos man page
  * fix: give example for unpacking report with gzip
  * refactor: add usage function
  * refactor: upper case globals
  * fix: improve grammar of info messages
  * fix: abort if report can't be generated
  * feat(deb): add scdoc to Build-Depends
  * refactor(deb): order Build-Depends alphabetically
  * doc(debian): update NEWS

 -- Thomas Böhler <t.boehler@kunbus.com>  Thu, 21 Nov 2024 17:14:42 +0100

revpi-sos-report (2.0.0-1+deb12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * chore: achieve REUSE compliance
  * ci: Lint REUSE
  * ci: Lint commits

  [ Ahmad Arabi Katbi ]
  * feat!: Change log file from messages to syslog
  * feat!: Remove daemon.log
  * feat!: Rename raspberrypi-kernel to linux-image..
  * feat!: Remove revpi-webstatus
  * feat!: Change boot partition to boot/firmware
  * feat: Collect info of all files in `interfaces.d`
  * feat: Collect infos about the piControl package
  * feat: Collect info about apache server
  * feat: Collect info about cockpit

  [ Sven Sager ]
  * feat: Add rpi-eeprom information to report
  * feat: Add VideoCore information to sos report

 -- Sven Sager <s.sager@kunbus.com>  Tue, 12 Nov 2024 08:33:01 +0100

revpi-sos-report (1.2.0-1+deb12+1) bookworm; urgency=medium

  [ Philipp Rosenberger ]
  * Switch back to the debian/ namespace

  [ Nicolai Buchwitz ]
  * feat: Add piControl information to sos report
  * ci: Fix snapshot pipeline
  * feat: Add cpufreq governor to sos commands
  * fix: Ensure all RS485 interfaces are found

  [ Sven Sager ]
  * style: Insert space after user questions
  * fix: Get name of report regardless of the /tmp folder
  * feat: Include cache info about cockpit-revpi package

  [ Nicolai Buchwitz ]
  * ci: Fix include path for debian package builds

 -- Sven Sager <s.sager@kunbus.com>  Tue, 09 Jul 2024 13:25:21 +0200

revpi-sos-report (1.1.0-1+revpi12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * Add debianization
  * Release revpi-sos-report 1.0.0-1 package
  * feat: Add control log path for SP19

  [ Thomas Böhler ]
  * chore: Add move to GitLab to README

  [ Nicolai Buchwitz ]
  * Update /debian for Bookworm
  * ci: Add template for release builds
  * ci: Add gitlab pipeline

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Wed, 04 Oct 2023 22:57:16 +0200

revpi-sos-report (1.0.0-1+revpi11+1) bullseye; urgency=medium

  [ Nicolai Buchwitz ]
  * Add license
  * Add RevPi SOS report plugins
  * Add debianization

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Tue, 11 Apr 2023 17:21:32 +0200
